org.python.modules

## Interface PyIOFile

    public interface PyIOFile

PyIOFiles encapsulates and optimise access to the different file representation. Used by cPickle and marshall.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `flush()`
`java.lang.String` `read(int len)`
`java.lang.String` `readlineNoNl()`
`void` `write(char str)`
`void` `write(java.lang.String str)`

### Method Detail

#### write

    void write(java.lang.String str)

#### write

    void write(char str)

#### flush

    void flush()

#### read

    java.lang.String read(int len)

#### readlineNoNl

    java.lang.String readlineNoNl()